43.0 - September 15, 2022
=========================

- Updated application screenshot (Andre Klapper)
- Updated translations

43.beta - August 5, 2022
========================

- Warnings now flag when solution to puzzle is violated (!43, Steven Elliott)
- Updated translations

43.alpha - July 8, 2022
=======================

- Add setting to initialize earmarks (!41, Steven Elliott)
- Fix redundant undo stack entries for earmarks (!42, Steven Elliott)

42.0 - March 17, 2022
=====================

- Support Purism form factor (Salvo Tomaselli)
- Fix build with meson 61 (Jan Beich)
- Updated translations

40.2 - July 23, 2021
====================

- Fix complex text in printed sudokus (#52)

40.1 - April 29, 2021
=====================

- Fix issue with appdata
- Translation updates

40.0 - March 22, 2021
=====================

- Vala warning fixes (Rico Tzschichholz)
- Many translations updates

40.alpha - January 7, 2021
==========================

- Choose how many puzzles to print per page (#17, Andrey Kutejko)
- Move game controls to header bar and window menu and improve mobile layout (#38, !32, !35, lajonss)
- Make game win message dialog modal (!33, Andrey Kutejko)

3.38.0 - September 11, 2020
===========================

- Updated translations

3.37.92 - September 4, 2020
===========================

- Display incorrect earmarks as red (#18, Andrey Kutejko)

3.37.90 - August 6, 2020
========================

- Redesign new game menu using a listbox (#14, Andrey Kutejko)
- Do not draw focused or highlighted cell when board is not in focus (#23, Andrey Kutejko)
- Highlight all numbers equal to selected one (#27, Andrey Kutejko)

3.37.3 - July 2, 2020
=====================

- New app icon (!25, Jakub Steiner)

3.37.2 - May 28, 2020
=====================

- Remove limit on earmarks (Andrey Kutejko, #24)
- Earmarks are now displayed in fixed positions (Andrey Kutejko, #30)
- Improve earmark picker (Andrey Kutejko, #36)
- Make D-Bus activatable (Arnaud B, !21)
- Additional preparation for GTK 4 (Arnaud B, !24)

3.37.1 - April 25, 2020
=======================

- Various refactoring and preparation for GTK 4 (Arnaud B.)

3.36.0 - March 5, 2020
======================

- Update link in user help (Andre Klapper)

3.34.1 - October 14, 2019
=========================

- Fix earmark popover regression (#33, shak-mar)
- Fix appdata release tags (Bilal Elmoussaoui)
- Updated translations

3.34.0 - September 8, 2019
==========================

- Updated translations

3.33.4 - July 14, 2019
======================

- Set an earmark instead of the value if earmark picker is active (shak-mar)
- Handle earmarks properly in undo/redo (shak-mar)
- Make undo and redo hide the value/earmark popovers (shak-mar)
- Display numbers at top-left in the earmark picker (shak-mar)
- Place numbers in number picker as on numpad (shak-mar)
- Updated translations

3.32.0 - March 11, 2019
=======================

- Updated translations

3.31.92 - March 4, 2019
=======================

- Fix crash on print multiple sudokus dialog (Yanko Kaneti)
- Updates to user help (Andre Klapper)

3.31.90 - February 4, 2019
==========================

- Updated app ID to org.gnome.Sudoku (Bilal Elmoussaoui)

3.31.1 - October 10, 2018
=========================

* Removed the app menu (Robert Ancell)

3.30.0 - September 2, 2018
==========================

* Miscellaneous fixes to meson build system (Alberto Fanjul, Luciano Santos)
* Miscellaneous fixes to user help (Rafael Fontenelle, Andre Klapper)
* Updated translations

3.29.2 - May 21, 2018
=====================

* Switch to meson build system (Ernestas Kulik)

3.28.0 - March 10, 2018
=======================

* Updated translations

3.27.3 - December 10, 2017
==========================

* Remove Statistics.page from Makefile.am (Andre Klapper)
* Updated user docs (Andre Klapper)
* Remove the OMF file (Piotr Drąg)
* Updated help (Piotr Drąg)
* Updated translations

3.26.0 - September 8, 2017
==========================

* Updated translations

3.25.4 - July 16, 2017
=======================

* Remove unnecessary css (Sahil Sareen)
* Updated translations

3.24.0 - March 20, 2017
=======================

* Add flatpak manifest (Florian Müllner)

3.23.92.1 - March 12, 2017
==========================

* Revert "minor code update" that broke clearing cells

3.23.92 - March 12, 2017
========================

* Bump required Vala version to ensure fix for bug #779955
* Add OARS content rating metadata
* Minor code updates
* Updated translations

3.22.2 - November 7, 2016
=========================

* Use AX_REQUIRE_DEFINED in configure.ac (Michael Catanzaro)
* Stop using intltool (Sahil Sareen)
* Update MSGCTXT and PACKAGE_GNU in Makevars (Sahil Sareen)
* Keep POTFILES in in alphabetical order (Sahil Sareen)
* Remove trailing whitespace (Sahil Sareen)
* Add translator comments to the .desktop file (Piotr Drąg)
* Updated translations

3.22.0 - September 21, 2016
===========================

* When pause is clicked, the game field should be hidden (Tom Pollok)
* Updated translations

3.21.90 - August 15, 2016
=========================

* Use namespace instead of class for SudokuGenerator(Michael Catanzaro)
* Update appdata(Sahil Sareen)
* Simplify style-checker enabling code(Sahil Sareen)
* Fix style-checker with new libgnome-games-support(Sahil Sareen)
* Updated translations

3.21.4 - July 17, 2016
======================

* Drop using declarations(Michael Catanzaro)
* Seed RNG for qqwing(Michael Catanzaro)
* Switch to C++ 11(Michael Catanzaro)
* Fix new warnings about static const variables(Michael Catanzaro)
* Updated translations

3.21.3 - June 19, 2016
======================

* Fix window size growing out of control with GTK+ 3.20(Michael Catanzaro)
* Always set header bar as the title bar(Michael Catanzaro)
* Updated translations

3.20.1 - May 7, 2016
====================

* Updated translations

3.20.0 - March 20, 2016
=========================

* Update license(Sahil Sareen)
* Use AM_DISTCHECK_CONFIGURE_FLAGS(Sahil Sareen)
* Bump up the license version on source files(Sahil Sareen)
* Update CSS for GTK+ 3.19(Sahil Sareen)
* Require GTK+ 3.19(Sahil Sareen)
* Update about dialog(Sahil Sareen)
* Add a missing tag to the AppData file(Richard Hughes)
* Updated translations

3.19.4 - January 17, 2016
=========================

* Update doap(Michael Catanzaro)
* Update appdata(Michael Catanzaro)
* Stop using deprecated gnome-common(Sahil Sareen)
* Add pre-commit and pre-applypatch hooks(Sahil Sareen)
* Updated translations

3.19.2 - November 20, 2015
==========================

* Increase line width around 3x3 boxes (Karanbir Chahal)
* Updated translations

3.18.1 - October 11, 2015
=========================

* Updated translations

3.18.0 - September 21, 2015
===========================

* Updated translations

3.17.92 - September 13, 2015
============================

* Reorder the buttons on the well done dialog
* Fix dragging the window after clicking the game view
* Updated translations

3.17.90 - August 14, 2015
=========================

* Hide number picker after selecting number with keyboard (Michael Catanzaro)
* Fix build with Automake 1.15 (Yanko Kaneti)
* Translation updates

3.17.2 - May 22, 2015
=====================

Dependencies: Vala 0.27.2, QQwing 1.3.4

* Replace high contrast icons with symbolic icon (Michael Catanzaro)
* Add ability to enter puzzles manually (Parin Porecha)
* Clear earmarks when a cell is filled (Iulian Radu)
* Use sans font for all numbers when printing (Iulian Radu)
* Allow cancelling print multiple puzzles (Iulian Radu, Michael Catanzaro)
* Revert window title to say Difficulty rather than Puzzle (Michael Catanzaro)
* Destroy GtkPopovers when not needed (Iulian Radu)
* Do not save window size on exit if tiled (Arnaud Bonatti)
* Update and modernize user help index page (Ekaterina Gerasimova)
* Fix typos and grammar in user help (Anders Jonsson)
* Temporarily remove user help from app menu pending update (Michael Catanzaro)
* Code cleanups (Sahil Sareen, Iulian Radu, Michael Catanzaro)
* Updated translations

3.15.2 - November 24, 2014
==========================

* The highlighter can now be turned off with a preference (Andrei Ghincu)
* XDG_CURRENT_DESKTOP may contain a list of desktops (Robert Ancell)
* Updated translations

3.15.1 - October 26, 2014
=========================

Dependencies: GTK+ 3.15.0

* Add a timer counting up in the header bar (Amisha Singla)
* When the game has been completed, the player may now choose between
  returning to the new game screen and quitting Sudoku, instead of returning
  to the new game screen or starting a new puzzle without changing the
  difficulty level (Michael Catanzaro)
* Thread-safety fixes when printing multiple puzzles (Michael Catanzaro)
* Fix crash when printing more than 16 puzzles on a computer with more than 16
  CPUs (Michael Catanzaro)
* Improve window titles (Michael Catanzaro)
* Don't set the header bar as the title bar in Unity (Michael Catanzaro)
* Only use a header bar on the print multiple puzzles dialog if the desktop
  environment requests it (Michael Catanzaro)
* Widen the print multiple sudokus dialog (Arnaud Bonatti)
* Code cleanups (Arnaud Bonatti, Michael Catanzaro, Sahil Sareen)
* Updated translations

3.13.92 - September 15, 2014
============================

Dependencies: QQwing >= 1.2.0, GTK+ 3.13.4, Vala 0.25.1

* Fix the game in RTL locales (Arnaud Bonatti)
* Various code cleanups and improvements (Arnaud Bonatti)
* Various window layout and drawing improvements (Arnaud Bonatti)
* Add <ctrl>n and <ctrl>r accelerators (Arnaud Bonatti)
* Many miscellaneous bugfixes (Arnaud Bonatti)
* A few miscellaneous bugfixes (Amisha Singla, Michael Catanzaro)
* Fix internationalization of game finished dialog (Marek Černocký, Michael Catanzaro)
* Many updated translations

3.13.90 - August 18, 2014
=========================

Dependencies: QQwing >= 1.1.3
(https://mail.gnome.org/archives/distributor-list/2014-August/msg00001.html)

* Started using QQwing as the puzzle generator
* Improved the board aesthetics
* Printing multiple puzzles is now multi-threaded
* Miscellaneous fixes and improvements
* Updated translations

3.13.4 - July 21, 2014
======================

* Simplified the new game screen
* Improved the number picker design
* Lightly shade the current row, column and block
* Miscellaneous fixes and improvements
* Updated translations

3.13.3 - June 23, 2014
======================

Dependencies: GTK+ 3.13.0, GLib 2.40

* Redesigned and rewritten (Christopher Baines, Parin Porecha, Allan Day)
* Updated translations

3.12.0 - March 24, 2014
=======================

* Fix some bugs with the user help (Andre Klapper)
* Updated translations

3.11.92 - March 16, 2014
========================

* Updated translations

3.11.90 - February 16, 2014
===========================

Updated Dependencies: PyGObject >= 3.11

* The colored grid no longer "dances" at the end of the game to reduce risk of
  epileptic seizures.
* Fix deprecation warnings
* Updated translations

3.11.3 - December 16, 2013
==========================

* Fix VERSION and PREFIX (Yanko Kaneti)
* Updated translations

3.11.2 - November 16, 2013
==========================

Updated Dependencies: python >= 3.2

WARNING: Python 3 programs are currently incompatible with jhbuild.
For a workaround, see https://bugzilla.gnome.org/show_bug.cgi?id=688353#c2

* Port to Python 3 (Dmitrijs Ledkovs)
* Thicken 3x3 grids (Pooja Prakash)
* Exit on SIGINT (Michael Catanzaro)
* Updated translations

3.11.1 - October 27, 2013
=========================

Updated Dependencies: intltool >= 0.50

* Appdata is now translatable
* Updated translations

GNOME Sudoku 3.10.0
===================

* Translation updates

GNOME Sudoku 3.9.92
===================

* Fix everything being initially hidden
* Fix a crash when clearing notes
* Slightly improve the look of the number pad
* Fix the high contrast icon
* Add an appdata file for GNOME Software
* Translation updates

GNOME Sudoku 3.9.90
===================

* Fix running uninstalled
* Fix NumberBox events configuration with latest pygobject
* Game no longer disappears when opening "print multiple sudokus" in fullscreen
* Reduce the width of the About dialog
* Don't use deprecated GObject.timeout_add_seconds
* Use /usr/bin/python instead of /usr/bin/env/python
* Fix some broken links in user help
* Translation updates

gnome-sudoku 3.8.0
==================

 * Translation updates
 * Enable maintainer mode by default

gnome-sudoku 3.7.4
====================

 * Translations

Contributions by: Marek Černocký, Piotr Drąg.

gnome-sudoku 3.7.2
====================

First release split from gnome-games
